# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
author: Sigmaproit
keywords: ''
description: ''
baseurl: "" # the subpath of your site, e.g. /blog
url: "" # the base hostname & protocol for your site, e.g. http://example.com
twitter_username: jekyllrb
github_username:  jekyll

# Build settings
markdown: kramdown
# theme: minima
plugins:
  - jekyll-feed
  - jekyll-sitemap
  - jekyll-seo-tag


# Exclude from processing.
# The following items will not be processed, by default. Create a custom list
# to override the default setting.
exclude:
  - Gemfile
  - Gemfile.lock
  - package-lock.json
  - node_modules
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/
  - pages/
  - k8s/
  - '*.sh'
  - '*.py'
  - Dockerfile
  - .forestrye
  - .idea

include:
  - _data # TODO: this is not ensured to work with all jekyll versions

wheather:
  countryId: 359792
  apiKey: cc5579b8f17bba5974bc365076181e4a

reCAPTCHA:
  siteKey: 6LfKSR4aAAAAAOANi7zyFcOIfT74s5OCRdKMM3_z # production
  # siteKey: 6Lfc1hUaAAAAAD_zucIHLXjGmu-ez5LVZSlEDW9n # dev


apiBaseUrl: ''
# apiBaseUrl: 'https://admin.heissacamp.com/' # TODO: set empty in production
